Skip to main content
The navigation property in docs.json controls the structure and information hierarchy of your documentation. With proper navigation configuration, you can organize your content so that users can find exactly what they’re looking for. Choose one primary organizational pattern at the root level of your navigation. Once you’ve chosen your primary pattern, you can nest other navigation elements within it.

Pages

Pages are the most fundamental navigation component. Each page is an MDX file in your documentation repository. Decorative graphic of pages. In the navigation object, pages is an array where each entry must reference the path to a page file.
{
  "navigation": {
    "pages": [
      "settings",
      "pages",
      "navigation",
      "themes",
      "custom-domain"
    ]
  }
}

Groups

Use groups to organize your sidebar navigation into sections. You can nest groups within each other, label them with tags, and style them with icons. Decorative graphic of groups. In the navigation object, groups is an array where each entry is an object that requires a group field and a pages field. The icon, tag, root, and expanded fields are optional.
{
  "navigation": {
    "groups": [
      {
        "group": "Getting started",
        "icon": "play",
        "pages": [
          "quickstart",
          {
            "group": "Editing",
            "expanded": false,
            "icon": "pencil",
            "pages": [
              "installation",
              "editor"
            ]
          }
        ]
      },
      {
        "group": "Writing content",
        "icon": "notebook-text",
        "tag": "NEW",
        "pages": [
          "writing-content/page",
          "writing-content/text"
        ]
      }
    ]
  }
}

Root page

Use the root property to designate a main page for a group. When a group has a root page, clicking the group title in the sidebar navigation opens the root page. Root pages work for top-level and nested groups.
Example group with a root page
{
  "navigation": {
    "groups": [
      {
        "group": "API pages",
        "root": "api-overview",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      }
    ]
  }
}

Default expanded state

Use the expanded property to control the default state of a nested group in the navigation sidebar.
  • expanded: true: Group is expanded by default.
  • expanded: false or omitted: Group is collapsed by default.
The expanded property only affects nested groups—groups within groups. Top-level groups are always expanded and cannot be collapsed.
{
  "group": "Getting started",
  "pages": [
    "quickstart",
    {
      "group": "Advanced",
      "expanded": false,
      "pages": ["installation", "configuration"]
    }
  ]
}

Tabs

Tabs create distinct sections of your documentation with separate URL paths. Tabs create a horizontal navigation bar at the top of your documentation that lets users switch between sections. Decorative graphic of a tab navigation. In the navigation object, tabs is an array where each entry is an object that requires a tab field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "tabs": [
      {
        "tab": "API reference",
        "icon": "square-terminal",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      },
      {
        "tab": "SDKs",
        "icon": "code",
        "pages": [
          "sdk/fetch",
          "sdk/create",
          "sdk/delete"
        ]
      },
      {
        "tab": "Blog",
        "icon": "newspaper",
        "href": "https://external-link.com/blog"
      }
    ]
  }
}
Menus add dropdown navigation items to a tab. Use menus to help users go directly to specific pages within a tab. In the navigation object, menu is an array where each entry is an object that requires an item field and can contain other navigation fields such as groups, pages, icons, or links to external pages. Menu items can only contain groups, pages, and external links.
{
  "navigation": {
    "tabs": [
      {
        "tab": "Developer tools",
        "icon": "square-terminal",
        "menu": [
          {
            "item": "API reference",
            "icon": "rocket",
            "groups": [
              {
                "group": "Core endpoints",
                "icon": "square-terminal",
                "pages": [
                  "api-reference/get",
                  "api-reference/post",
                  "api-reference/delete"
                ]
              }
            ]
          },
          {
            "item": "SDKs",
            "icon": "code",
            "description": "SDKs are used to interact with the API.",
            "pages": [
              "sdk/fetch",
              "sdk/create",
              "sdk/delete"
            ]
          }
        ]
      }
    ]
  }
}

Anchors

Anchors add persistent navigation items to the top of your sidebar. Use anchors to section your content, provide quick access to external resources, or create prominent calls to action. Decorative graphic of an anchor navigation. In the navigation object, anchors is an array where each entry is an object that requires an anchor field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "anchors": [
      {
        "anchor": "Documentation",
        "icon": "book-open",
        "pages": [
          "quickstart",
          "development",
          "navigation"
        ]
      },
      {
        "anchor": "API reference",
        "icon": "square-terminal",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      },
      {
        "anchor": "Blog",
        "href": "https://external-link.com/blog"
      }
    ]
  }
}

Global anchors

Use global anchors for links that should appear on all pages, regardless of which section of your navigation the user is viewing. Global anchors are particularly useful for linking to resources outside your documentation (such as a blog, community forum, or support portal) or for providing consistent access to important internal pages (such as a changelog or status page). Global anchors support both external URLs and relative paths to pages within your documentation.
{
  "navigation": {
    "global":  {
      "anchors": [
        {
          "anchor": "Changelog",
          "icon": "list",
          "href": "/changelog"
        },
        {
          "anchor": "Blog",
          "icon": "pencil",
          "href": "https://mintlify.com/blog"
        }
      ]
    },
    "tabs": /*...*/
  }
}

Products

Decorative graphic of a product switcher. Products create a dedicated navigation division for organizing product-specific documentation. Use products to separate different offerings, services, or major feature sets within your documentation. In the navigation object, products is an array where each entry is an object that requires a product field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "products": [
      {
        "product": "Core API",
        "description": "Core API description",    
        "icon": "api",
        "groups": [
          {
            "group": "Getting started",
            "pages": [
              "core-api/quickstart",
              "core-api/authentication"
            ]
          },
          {
            "group": "Endpoints",
            "pages": [
              "core-api/users",
              "core-api/orders"
            ]
          }
        ]
      },
      {
        "product": "Analytics Platform",
        "description": "Analytics Platform description",
        "icon": "chart-bar",
        "pages": [
          "analytics/overview",
          "analytics/dashboard",
          "analytics/reports"
        ]
      },
      {
        "product": "Mobile SDK",
        "description": "Mobile SDK description",
        "icon": "smartphone",
        "href": "https://mobile-sdk-docs.example.com"
      }
    ]
  }
}
Dropdowns are an expandable menu at the top of your sidebar navigation. Each item in a dropdown directs to a section of your documentation. Decorative graphic of a dropdown navigation. In the navigation object, dropdowns is an array where each entry is an object that requires a dropdown field and can contain other navigation fields such as groups, pages, icons, or links to external pages.
{
  "navigation": {
    "dropdowns": [
      {
        "dropdown": "Documentation",
        "icon": "book-open",
        "pages": [
          "quickstart",
          "development",
          "navigation"
        ]
      },
      {
        "dropdown": "API reference",
        "icon": "square-terminal",
        "pages": [
          "api-reference/get",
          "api-reference/post",
          "api-reference/delete"
        ]
      },
      {
        "dropdown": "Blog",
        "href": "https://external-link.com/blog"
      }
    ]
  }
}

OpenAPI

Integrate OpenAPI specifications directly into your navigation structure to automatically generate API documentation. Create dedicated API sections or place endpoint pages within other navigation components. Set a default OpenAPI specification at any level of your navigation hierarchy. Child elements inherit the specification unless they define their own.
When you add the openapi property to a navigation element (such as an anchor, tab, or group) without specifying any pages, Mintlify automatically generates pages for all endpoints defined in your OpenAPI specification.To control which endpoints appear, explicitly list the desired endpoints in a pages array.
For more information about referencing OpenAPI endpoints in your docs, see the OpenAPI setup.
{
  "navigation": {
    "groups": [
      {
        "group": "API reference",
        "openapi": "/path/to/openapi-v1.json",
        "pages": [
          "overview",
          "authentication",
          "GET /users",
          "POST /users",
          {
            "group": "Products",
            "openapi": "/path/to/openapi-v2.json",
            "pages": [
              "GET /products",
              "POST /products"
            ]
          }
        ]
      }
    ]
  }
}

Versions

Partition your navigation into different versions. Versions are selectable from a dropdown menu. Decorative graphic of a version switcher. In the navigation object, versions is an array where each entry is an object that requires a version field and can contain any other navigation fields.
{
  "navigation": {
    "versions": [
      {
        "version": "1.0.0",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["v1/overview", "v1/quickstart", "v1/development"]
          }
        ]
      },
      {
        "version": "2.0.0",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["v2/overview", "v2/quickstart", "v2/development"]
          }
        ]
      }
    ]
  }
}

Version tags

Add a badge label to version entries in the version selector dropdown using the optional tag field. Use tags to highlight specific versions such as “Latest,” “Recommended,” or “Beta.”
{
  "navigation": {
    "versions": [
      {
        "version": "2026_03",
        "tag": "Latest",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["getting-started", "quickstart"]
          }
        ]
      },
      {
        "version": "2025_12",
        "tag": "Recommended",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["2025_12/getting-started", "2025_12/quickstart"]
          }
        ]
      },
      {
        "version": "2025_09",
        "tag": "Deprecated",
        "groups": [
          {
            "group": "Getting started",
            "pages": ["2025_09/getting-started", "2025_09/quickstart"]
          }
        ]
      }
    ]
  }
}

Languages

Partition your navigation into different languages. Languages are selectable from a dropdown menu. Decorative graphic of a language switcher. In the navigation object, languages is an array where each entry is an object that requires a language field and can contain any other navigation fields, including language-specific banner configurations. We currently support the following languages for localization:
https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/ar.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=747d0353d2dcd136dc1030c5e55c4588

Arabic (ar)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/ca.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=c93065de5c4d8c37d814af6fd90307f6

Catalan (ca)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/cs.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=5bc5ac5e25ffe614d9a671aea11bf31d

Czech (cs)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/cn.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=e61bc945586e4be47d68d05dae514d88

Chinese (cn)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/cn.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=e61bc945586e4be47d68d05dae514d88

Chinese (zh-Hant)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/nl.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=8e88eefca4f852052e03e08c7d1177ef

Dutch (nl)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/en.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=2a33aaf305626188e9cc1815e3925f9a

English (en)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/fr.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=91df5c969aee74d90b07f91dac098ec6

French (fr)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/de.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=7ff15e91319319351f71e2d39a6d9a80

German (de)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/he.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=1e5cd33c0be69725bfdfd4fc5a02fcff

Hebrew (he)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/hi.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=c5a67feca128da15c6ad6a4037ee3bd8

Hindi (hi)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/id.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=935e8a9781cbda15220c48eeb015dde9

Indonesian (id)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/it.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=23235368364b91a11ac266e5a7d7e21a

Italian (it)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/jp.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=39c18aafa6cde611cff16024be37f569

Japanese (jp)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/ko.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=ad2f9ff670f55af3c59d72ccc2bb63c2

Korean (ko)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/lv.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=57d14b245e6986794ee5fb4d411c2fad

Latvian (lv)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/no.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=4f85af61369e6da4904959b6f391bc23

Norwegian (no)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/pl.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=92ac37ce07ceef694c1c7f57f378339b

Polish (pl)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/pt-br.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=009cc2096fd5e92005301b97dbd059b1

Portuguese (pt-BR)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/ro.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=6f12969c8e3ad8c66e8ff46ac012f904

Romanian (ro)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/ru.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=f0f0f1abf97a44de88e9d193b42b3ebf

Russian (ru)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/es.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=1f79864cc7a38989f77d7502e44fbc60

Spanish (es)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/sv.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=525e7c340a8b7b0f89cb763a3de07915

Swedish (sv)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/tr.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=e13a28cb4a9b44bf7b74106e03f5051d

Turkish (tr)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/ua.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=279a6ae3a10c8eebd9bfdcd44c13e21b

Ukrainian (ua)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/uz.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=11bbdac96dc6120279153582f5ac639b

Uzbek (uz)

https://mintcdn.com/mintlify-mintlify-translate-component-props-1773095448/TGgtfDCWiW2H0AUQ/images/navigation/languages/vi.png?fit=max&auto=format&n=TGgtfDCWiW2H0AUQ&q=85&s=b43b7cf00f19db7de9df2d3bcb904d4c

Vietnamese (vi)

{
  "navigation": {
    "languages": [
      {
        "language": "en",
        "banner": {
          "content": "🚀 Version 2.0 is now live! See our [changelog](/en/changelog) for details.",
          "dismissible": true
        },
        "groups": [
          {
            "group": "Getting started",
            "pages": ["en/overview", "en/quickstart", "en/development"]
          }
        ]
      },
      {
        "language": "es",
        "banner": {
          "content": "🚀 ¡La versión 2.0 ya está disponible! Consulta nuestro [registro de cambios](/es/changelog).",
          "dismissible": true
        },
        "groups": [
          {
            "group": "Getting started",
            "pages": ["es/overview", "es/quickstart", "es/development"]
          }
        ]
      }
    ]
  }
}
For automated translations, contact our sales team to discuss solutions.

Nesting

Navigation elements can be nested within each other to create complex hierarchies. You must have one root-level parent navigation element such as tabs, groups, or a dropdown. You can nest other types of navigation elements within your primary navigation pattern. Each navigation element can contain one type of child element at each level of your navigation hierarchy. For example, a tab can contain anchors that contain groups, but a tab cannot contain both anchors and groups at the same level.
{
  "navigation": {
    "tabs": [
      {
        "tab": "Documentation",
        "anchors": [
          {
            "anchor": "Guides",
            "icon": "book-open",
            "pages": ["quickstart", "tutorial"]
          },
          {
            "anchor": "API Reference",
            "icon": "code",
            "pages": ["api/overview", "api/endpoints"]
          }
        ]
      },
      {
        "tab": "Resources",
        "groups": [
          {
            "group": "Help",
            "pages": ["support", "faq"]
          }
        ]
      }
    ]
  }
}
Breadcrumbs display the full navigation path at the top of pages. Some themes have breadcrumbs enabled by default and others do not. You can control whether breadcrumbs display on your site using the styling property in your docs.json.
"styling": {
  "eyebrows": "breadcrumbs"
}

Interaction configuration

Control how users interact with navigation elements using the interaction property in your docs.json.

Enable auto-navigation for groups

When a user expands a navigation group, some themes automatically navigate to the first page in the group. You can override a theme’s default behavior using the drilldown option.
  • Set to true to force automatic navigation to the first page when a user selects a navigation group.
  • Set to false to prevent navigation and only expand or collapse the group when a user selects a navigation group.
  • Leave unset to use the theme’s default behavior.
"interaction": {
  "drilldown": true  // Force navigation to first page when a user expands a dropdown
}